#version 450 core
layout(location=0) in vec2 aPosPx;

uniform vec2 uViewport;

void main()
{
    vec2 ndc = vec2((aPosPx.x / uViewport.x) * 2.0 - 1.0,
                    1.0 - (aPosPx.y / uViewport.y) * 2.0);
    gl_Position = vec4(ndc, 0.0, 1.0);
}
